Today I wanted to update our AMQP producer payload so I needed to have RabbitMQ installed and ready in my Vagrant virtual machine. We use Centos 6.

In our Vagrantfile:

config.vm.network :private_network, ip: "192.168.x.x"

The EPEL rabbitmq-server is in version 3.1.5 while the latest version (and the version where the plugin management command sits) is the 3.5.3.

So, in order to install the RabbitMQ server:

$ sudo yum install erlang
$ wget http://www.rabbitmq.com/releases/rabbitmq-server/v3.5.3/rabbitmq-server-3.5.3-1.noarch.rpm
$ sudo rpm --import https://www.rabbitmq.
> Continue Reading